CMSIS-DSP: train Namespace Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Variables
train Namespace Reference

## Variables
int | NBVECS
int | VECDIM
float | ballRadius
list | x1
list | x2
list | x3
tuple | X_train
tuple | Y_train
tuple | gnb
tuple | y_pred
list | x_min
list | x_max
list | y_min
list | y_max
tuple | font
tuple | r
tuple | x
float | angle
float | radius
tuple | xa
tuple | clf
tuple | test1
tuple | predicted1
tuple | test2
tuple | predicted2
| supportShape
list | nbSupportVectors
list | vectorDimensions
| dualCoefs
| supportVectors
tuple | Z
tuple | levels
list | newcolors
tuple | cmap
tuple | norm
list | linestyles

## Variable Documentation

float train.angle

float train.ballRadius

tuple train.clf

tuple train.cmap

tuple train.dualCoefs

tuple train.font

tuple train.gnb

tuple train.levels

list train.linestyles

list train.nbSupportVectors

int train.NBVECS

list train.newcolors

tuple train.norm

tuple train.predicted1

tuple train.predicted2

tuple train.r

float train.radius

train.supportShape

tuple train.supportVectors

tuple train.test1

tuple train.test2

int train.VECDIM

list train.vectorDimensions

tuple train.x

list train.x1

list train.x2

list train.x3

list train.x_max

list train.x_min

tuple train.X_train

tuple train.xa

list train.y_max

list train.y_min

tuple train.y_pred

tuple train.Y_train

tuple train.Z